public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pywavelets/
Date: Tue,  2 Apr 2024 05:45:45 +0000 (UTC)	[thread overview]
Message-ID: <1712036740.96c3fefdbfe472057c60c2937b12eba8a5c43f93.mgorny@gentoo> (raw)

commit:     96c3fefdbfe472057c60c2937b12eba8a5c43f93
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Apr  2 05:19:24 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Apr  2 05:45:40 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=96c3fefd

dev-python/pywavelets: Bump to 1.6.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pywavelets/Manifest                |  1 +
 dev-python/pywavelets/pywavelets-1.6.0.ebuild | 49 +++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-python/pywavelets/Manifest b/dev-python/pywavelets/Manifest
index 5bcf65c5e3ce..2339ca655489 100644
--- a/dev-python/pywavelets/Manifest
+++ b/dev-python/pywavelets/Manifest
@@ -1 +1,2 @@
 DIST pywavelets-1.5.0.tar.gz 3937269 BLAKE2B 787d59a23d0de94783f55b7fa65bddc58c2d2040c2eb36ebc95a53ba95c52a765d4d2e1ad78d4f06015f339150a100525336836e71a9f8b94b92da89885f3f3f SHA512 a70435392cd2c0fed470c0093e8b838e233462e6f595f5d40396b1186cbea1654b2f671f45a9731bfc393a693221a0907cee48b2209944e7cda6f40e268fb34c
+DIST pywavelets-1.6.0.tar.gz 3939946 BLAKE2B 6b008079a05431d3a52b6c42239b8ef188a3d4a416c77af18da970d8a1c7fa82e4ba2cddf9003c843f05cca5eb168ff28ed0ff1c341e948e3599894ac5490838 SHA512 2b2a0b5f649ed374e1c2d46c185afbe221018e37d1461f1a34f0a9a9b0d06d8d8e9b6afc5c28a4a109df6ec783531a481b7caf3c4dea913b98800fd774b89fab

diff --git a/dev-python/pywavelets/pywavelets-1.6.0.ebuild b/dev-python/pywavelets/pywavelets-1.6.0.ebuild
new file mode 100644
index 000000000000..c5177771516c
--- /dev/null
+++ b/dev-python/pywavelets/pywavelets-1.6.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=meson-python
+PYPI_PN="PyWavelets"
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Discrete Wavelet Transforms in Python"
+HOMEPAGE="
+	https://pywavelets.readthedocs.io/en/latest/
+	https://github.com/PyWavelets/pywt/
+	https://pypi.org/project/PyWavelets/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples"
+
+RDEPEND="
+	dev-python/matplotlib[${PYTHON_USEDEP}]
+	<dev-python/numpy-3[${PYTHON_USEDEP}]
+	>=dev-python/numpy-1.22.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	${RDEPEND}
+	>=dev-python/cython-3.0.4[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+	rm -rf pywt || die
+	epytest --pyargs pywt
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+	if use examples; then
+		docinto examples
+		dodoc -r demo
+		docompress -x /usr/share/doc/${PF}/examples
+	fi
+}


             reply	other threads:[~2024-04-02  5:45 UTC|newest]

Thread overview: 34+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-04-02  5:45 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-05  5:39 [gentoo-commits] repo/gentoo:master commit in: dev-python/pywavelets/ Michał Górny
2024-12-05  5:39 Michał Górny
2024-08-13  4:55 Michał Górny
2024-06-30 17:00 Michał Górny
2024-06-30 17:00 Michał Górny
2024-03-10 16:37 Michał Górny
2023-12-30 18:32 Michał Górny
2023-11-18  6:42 Michał Górny
2023-03-25 17:19 Michał Górny
2022-11-14  5:05 Michał Górny
2022-09-26 12:53 Arthur Zamarin
2022-09-26 12:53 Arthur Zamarin
2022-09-15 19:56 Arthur Zamarin
2022-05-16 13:27 Michał Górny
2022-03-14 17:04 Michał Górny
2021-12-13  3:09 Yixun Lan
2021-11-09 10:23 Michał Górny
2021-10-14 12:12 Arthur Zamarin
2021-10-14 12:12 Arthur Zamarin
2020-11-18 18:58 David Seifert
2020-09-27  7:31 Dennis Lamm
2020-09-27  7:31 Dennis Lamm
2020-08-02  9:21 Michał Górny
2020-03-28 21:24 Michał Górny
2019-08-03 20:36 Alexey Shvetsov
2018-04-29  6:33 Michał Górny
2017-06-27  2:49 Sebastien Fabbro
2017-05-24 12:21 Manuel Rüger
2017-05-02 11:58 Michał Górny
2017-02-26 18:02 Sebastien Fabbro
2016-03-01 19:46 Patrick Lauer
2015-09-11 15:33 Manuel Rüger
2015-08-17  5:43 Ian Delaney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1712036740.96c3fefdbfe472057c60c2937b12eba8a5c43f93.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox